cURL
curl --request POST \
--url https://api.crunchz.app/api/send-message/poll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"contact_id": "xxx@c.us",
"title": "Are you have a bachelor degree ?",
"options": [
"Yes",
"No",
"I don't think so"
],
"is_multiple_answer": false,
"reply_to": "message_id_here"
}
EOFimport requests
url = "https://api.crunchz.app/api/send-message/poll"
payload = {
"contact_id": "xxx@c.us",
"title": "Are you have a bachelor degree ?",
"options": ["Yes", "No", "I don't think so"],
"is_multiple_answer": False,
"reply_to": "message_id_here"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: 'xxx@c.us',
title: 'Are you have a bachelor degree ?',
options: ['Yes', 'No', 'I don\'t think so'],
is_multiple_answer: false,
reply_to: 'message_id_here'
})
};
fetch('https://api.crunchz.app/api/send-message/poll', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": {
"status": "<string>",
"message": "<string>",
"timestamp": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Messages
Send Polling
Create and send polls to WhatsApp users to gather feedback, conduct surveys, and make group decisions.
POST
/
send-message
/
poll
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Message ID.
Example:
"xxx@c.us"
Polling title
Example:
"Are you have a bachelor degree ?"
Polling Name
Example:
["Yes", "No", "I don't think so"]
Multiple Answer ( user can choose more than one answer )
Example:
false
Message ID to reply to (optional)
Example:
"message_id_here"
Was this page helpful?
⌘I